Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file using tramp

From: Michael Albinus <[email-masked]>
Date: Sat, 18 Sep 2021 09:07:31 +0200

Mani Kancherla <[email-masked]> writes:

> Hi Alan,

Hi Mani,

> With "make bootstrap" I was able to compile and run. The very first
> time I launched it in debugger, emacs crashed. Please see the stack
> trace below. A subsequent attempt to launch did not crash and I can
> confirm that I do not see the issue of emacs hanging when I open that
> file over tramp. This is with tramp 2.5.2-pre and emacs 28.0.50.

Please use the Tramp ELPA package for test. Tramp's builtin version
doesn't contain thread code.

> Thanks,
> Mani

Best regards, Michael.